Subject: Re: bug#8948: Unable to scroll from y-or-n-p prompt

From: Chong Yidong <[email-masked]>
Date: Sun, 09 Sep 2012 14:45:54 +0800

Thierry Volpiatto <[email-masked]> writes:

> I think I have reported this in the past, and it seem not fixed.
> This patch fix it, please review.

Thanks for the patch.  The functionality is good, but the approach is
flawed.  y-or-n-p should not treat the scrolling command keys specially;
they should be part of query-replace-map just like the other responses,
similar to how the existing `recenter' response is treated.

So instead I committed a different patch, which adds window scroll via
new bindings in query-replace-map.  It provides other-window scrolling
too.